In /usr/bin/chromium line 34:
case `uname -m` in
     ^--------^ SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
case $(uname -m) in


In /usr/bin/chromium line 46:
  test $file = /etc/chromium.d/README || expr $file : .*\.dpkg > /dev/null || . $file
       ^---^ SC2086: Double quote to prevent globbing and word splitting.
                                              ^---^ SC2086: Double quote to prevent globbing and word splitting.
                                                                                ^---^ SC1090: Can't follow non-constant source. Use a directive to specify location.
                                                                                ^---^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
  test "$file" = /etc/chromium.d/README || expr "$file" : .*\.dpkg > /dev/null || . "$file"


In /usr/bin/chromium line 58:
DIST=`cat /etc/debian_version`
     ^-----------------------^ SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
DIST=$(cat /etc/debian_version)


In /usr/bin/chromium line 86:
if [ -z "$(echo $CHROMIUM_FLAGS | grep \\-\\-enable-remote-extensions)" ]; then
     ^-- SC2143: Use ! grep -q instead of comparing output with [ -z .. ].
                ^-------------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
if [ -z "$(echo "$CHROMIUM_FLAGS" | grep \\-\\-enable-remote-extensions)" ]; then


In /usr/bin/chromium line 88:
  export CHROMIUM_FLAGS="$CHROMIUM_FLAGS --disable-extensions-except=$(echo $CHROMIUM_FLAGS | tr ' ' \\n | grep \\-\\-load-extension | cut -d= -f2 | tr \\n ,)"
         ^------------^ SC2155: Declare and assign separately to avoid masking return values.
                                                                            ^-------------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
  export CHROMIUM_FLAGS="$CHROMIUM_FLAGS --disable-extensions-except=$(echo "$CHROMIUM_FLAGS" | tr ' ' \\n | grep \\-\\-load-extension | cut -d= -f2 | tr \\n ,)"


In /usr/bin/chromium line 92:
  TEMP_PROFILE=`mktemp -d`
               ^---------^ SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
  TEMP_PROFILE=$(mktemp -d)


In /usr/bin/chromium line 102:
  tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
          ^-- SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
  tmpfile=$(mktemp /tmp/chromiumargs.XXXXXX) || { echo "Cannot create temporary file" >&2; exit 1; }


In /usr/bin/chromium line 103:
  trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
                ^------^ SC2064: Use single quotes, otherwise this expands now rather than when signalled.
                                                ^------^ SC2064: Use single quotes, otherwise this expands now rather than when signalled.
                                                                    ^-- SC2172: Trapping signals by number is not well defined. Prefer signal names.


In /usr/bin/chromium line 104:
  echo "set args $CHROMIUM_FLAGS --single-process ${1+"$@"}" > $tmpfile
                                                               ^------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
  echo "set args $CHROMIUM_FLAGS --single-process ${1+"$@"}" > "$tmpfile"


In /usr/bin/chromium line 111:
  $GDB "$LIBDIR/$APPNAME" -x $tmpfile
                             ^------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
  $GDB "$LIBDIR/$APPNAME" -x "$tmpfile"


In /usr/bin/chromium line 113:
    rm -rf $TEMP_PROFILE
           ^-----------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
    rm -rf "$TEMP_PROFILE"


In /usr/bin/chromium line 118:
    exec $LIBDIR/$APPNAME $CHROMIUM_FLAGS "$@"
                          ^-------------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
    exec $LIBDIR/$APPNAME "$CHROMIUM_FLAGS" "$@"


In /usr/bin/chromium line 121:
    $LIBDIR/$APPNAME $CHROMIUM_FLAGS "$@"
                     ^-------------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
    $LIBDIR/$APPNAME "$CHROMIUM_FLAGS" "$@"


In /usr/bin/chromium line 122:
    rm -rf $TEMP_PROFILE
           ^-----------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
    rm -rf "$TEMP_PROFILE"

For more information:
  https://www.shellcheck.net/wiki/SC1090 -- Can't follow non-constant source....
  https://www.shellcheck.net/wiki/SC2064 -- Use single quotes, otherwise this...
  https://www.shellcheck.net/wiki/SC2155 -- Declare and assign separately to ...